openSUSE Security Update : GraphicsMagick (openSUSE-2016-1229)

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for GraphicsMagick fixes the following issues :

- security update :

- CVE-2016-8684 [boo#1005123]

- CVE-2016-8682 [boo#1005125]

- CVE-2016-8683 [boo#1005127]

- security update :

- CVE-2016-7529 [boo#1000399]

- CVE-2016-7528 [boo#1000434]

- CVE-2016-7515 [boo#1000689]

- CVE-2016-7446 [boo#999673]

- CVE-2016-7447 [boo#999673]

- CVE-2016-7448 [boo#999673]

- CVE-2016-7449 [boo#999673]

- CVE-2016-7517 [boo#1000693]

- CVE-2016-7519 [boo#1000695]

- CVE-2016-7522 [boo#1000698]

- CVE-2016-7524 [boo#1000700]

- CVE-2016-7531 [boo#1000704]

- CVE-2016-7533 [boo#1000707]

- CVE-2016-7537 [boo#1000711]

- CVE-2016-6823 [boo#1001066]

- CVE-2016-7101 [boo#1001221]

- do not divide by zero in WriteTIFFImage [boo#1002206]

- fix buffer overflow [boo#1002209]

- CVE-2016-7800 [boo#1002422]

- CVE-2016-7996, CVE-2016-7997 [boo#1003629]

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1000399
https://bugzilla.opensuse.org/show_bug.cgi?id=1000434
https://bugzilla.opensuse.org/show_bug.cgi?id=1000689
https://bugzilla.opensuse.org/show_bug.cgi?id=1000693
https://bugzilla.opensuse.org/show_bug.cgi?id=1000695
https://bugzilla.opensuse.org/show_bug.cgi?id=1000698
https://bugzilla.opensuse.org/show_bug.cgi?id=1000700
https://bugzilla.opensuse.org/show_bug.cgi?id=1000704
https://bugzilla.opensuse.org/show_bug.cgi?id=1000707
https://bugzilla.opensuse.org/show_bug.cgi?id=1000711
https://bugzilla.opensuse.org/show_bug.cgi?id=1001066
https://bugzilla.opensuse.org/show_bug.cgi?id=1001221
https://bugzilla.opensuse.org/show_bug.cgi?id=1002206
https://bugzilla.opensuse.org/show_bug.cgi?id=1002209
https://bugzilla.opensuse.org/show_bug.cgi?id=1002422
https://bugzilla.opensuse.org/show_bug.cgi?id=1003629
https://bugzilla.opensuse.org/show_bug.cgi?id=1005123
https://bugzilla.opensuse.org/show_bug.cgi?id=1005125
https://bugzilla.opensuse.org/show_bug.cgi?id=1005127
https://bugzilla.opensuse.org/show_bug.cgi?id=999673

Solution :

Update the affected GraphicsMagick packages.

Risk factor :

High / CVSS Base Score : 7.8
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C)